package com.gyee.frame.common.conf;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * 读取项目相关配置
 * 
 * @author gyee
 */
@Data
@Configuration
@ConfigurationProperties(prefix = "echo")
public class EchoConfig
{
    public static String echo_ip;
    public static Integer echo_port;
    public static String echo_password;

    public static String getEcho_ip() {
        return echo_ip;
    }

    public static void setEcho_ip(String echo_ip) {
        EchoConfig.echo_ip = echo_ip;
    }

    public static Integer getEcho_port() {
        return echo_port;
    }

    public static void setEcho_port(Integer echo_port) {
        EchoConfig.echo_port = echo_port;
    }

    public static String getEcho_password() {
        return echo_password;
    }

    public static void setEcho_password(String echo_password) {
        EchoConfig.echo_password = echo_password;
    }
}
